Skip Menu |
 

This queue is for tickets about the libwww-perl CPAN distribution.

Report information
The Basics
Id: 47152
Status: resolved
Priority: 0/
Queue: libwww-perl

People
Owner: Nobody in particular
Requestors: David.A.Spake [...] noaa.gov
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: UTF-16-BE encoding error
Date: Fri, 19 Jun 2009 10:32:27 -0500
To: bug-libwww-perl [...] rt.cpan.org
From: "David A. Spake" <David.A.Spake [...] noaa.gov>
Download (untitled) / with headers
text/plain 1.5k
Dist version: libwww-perl-5.827 Perl version (perl -v): v5.8.4 built for i86pc-solaris-64int Solaris 10, u6 (11/08), fully patched. CPAN up to date. SunStudio 12 installed, and has priority in the path. Background: Downloaded the .gz package from CPAN, and un-tar'ed it (GNU tar utility) perl Makefile.PL make make test Error output: base/message-charset.t .... 1/21 Unknown encoding 'UTF-16-BE' at base/message-charset.t line 57 base/message-charset.t .... Dubious, test returned 255 (wstat 65280, 0xff00) Test Summary Report ------------------- base/message-charset.t (Wstat: 65280 Tests: 13 Failed: 0) Non-zero exit status: 255 Parse errors: Bad plan. You planned 21 tests but ran 13. Files=36, Tests=1097, 25 wallclock secs ( 0.48 usr 0.10 sys + 3.85 cusr 0.35 csys = 4.78 CPU) Result: FAIL Failed 1/36 test programs. 0/1097 subtests failed. *** Error code 29 make: Fatal error: Command failed for target `test' Line 57 of 'message-charset.t' reads: $r->content(Encode::encode($enc, "<foo>..</foo>")); and it appears in the following block: require Encode; for my $enc ("UTF-16-BE", "UTF-16-LE", "UTF-32-BE", "UTF-32-LE") { $r->content(Encode::encode($enc, "<foo>..</foo>")); ok($r->content_charset, $enc); } This exact same error happens when I try to install LWP through the perl shell. Appreciate the hard work, and the help. Dave -- David A. Spake National Logistics Support Center 1510 Bannister Rd., Bldg #1 Kansas City, MO 64131 Phone: 816-926-5342 Cell: 816-564-2055
Download (untitled) / with headers
text/plain 251b
Perhaps this depends on the version of Encode. Can you tell me what version you have installed. One way to do this is to run: $ perl -MEncode\ 999 Encode version 999 required--this is only version 2.26. BEGIN failed--compilation aborted.
Subject: Re: [rt.cpan.org #47152] UTF-16-BE encoding error
Date: Fri, 19 Jun 2009 12:33:54 -0500
To: bug-libwww-perl [...] rt.cpan.org
From: "David A. Spake" <David.A.Spake [...] noaa.gov>
Gisle, Kudo's for the rapid responce! I have some new information, but first the information you requested. Encode version was 1.99_01 Versions libwww-perl-5.808 to libwww-perl-5.826 worked just fine with the old Encode version, as I was able to compile and install them just fine. However, your suggestion fixed it. I downloaded and manually installed Encode 2.33. Once I had done that, libwww-perl-5.827 compiled and installed just perfectly. Appreciate the hand on that, and have a wonderful weekend. Dave == On 6/19/2009 11:14 AM, Gisle_Aas via RT wrote: Show quoted text
> <URL: https://rt.cpan.org/Ticket/Display.html?id=47152> > > Perhaps this depends on the version of Encode. Can you tell me what version you have > installed. One way to do this is to run: > > $ perl -MEncode\ 999 > Encode version 999 required--this is only version 2.26. > BEGIN failed--compilation aborted. > >
-- David A. Spake National Logistics Support Center 1510 Bannister Rd., Bldg #1 Kansas City, MO 64131 Phone: 816-926-5342 Cell: 816-564-2055
Download (untitled) / with headers
text/plain 154b
libwww-perl-5.828 (just uploaded to CPAN) should have a fix that make it skip this test if it discovers a version of Encode that don't support UTF-16-BE.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.